<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:tns="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS" targetNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <schema elementFormDefault="qualified" targetNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS" xmlns="http://www.w3.org/2001/XMLSchema">
      <element name="CreateSalesLine">
        <complexType>
          <sequence>
            <element minOccurs="1" maxOccurs="1" name="saleOrder" type="string" />
            <element minOccurs="1" maxOccurs="1" name="saleLineProductCode" type="string" />
            <element minOccurs="1" maxOccurs="1" name="unit_of_Measure_Code" type="string" />
            <element minOccurs="1" maxOccurs="1" name="quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="consigned_Quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Ship" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Invoice" type="decimal" />
          </sequence>
        </complexType>
      </element>
      <element name="CreateSalesLine_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
      <element name="CreateSalesOrder">
        <complexType>
          <sequence />
        </complexType>
      </element>
      <element name="CreateSalesOrder_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
      <element name="UpdateSalesLine">
        <complexType>
          <sequence>
            <element minOccurs="1" maxOccurs="1" name="salesOrder" type="string" />
            <element minOccurs="1" maxOccurs="1" name="productCode" type="string" />
            <element minOccurs="1" maxOccurs="1" name="unit_of_Measure_Code" type="string" />
            <element minOccurs="1" maxOccurs="1" name="quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="consigned_Quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Ship" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Invoice" type="decimal" />
          </sequence>
        </complexType>
      </element>
      <element name="UpdateSalesLine_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
      <element name="ValidateOrder">
        <complexType>
          <sequence>
            <element minOccurs="1" maxOccurs="1" name="saleOrderNo" type="string" />
          </sequence>
        </complexType>
      </element>
      <element name="ValidateOrder_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
      <element name="ReleaseSalesReturnOrder">
        <complexType>
          <sequence>
            <element minOccurs="1" maxOccurs="1" name="order" type="string" />
          </sequence>
        </complexType>
      </element>
      <element name="ReleaseSalesReturnOrder_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
      <element name="Library_UpdateSalesLine">
        <complexType>
          <sequence>
            <element minOccurs="1" maxOccurs="1" name="salesOrder" type="string" />
            <element minOccurs="1" maxOccurs="1" name="productCode" type="string" />
            <element minOccurs="1" maxOccurs="1" name="unit_of_Measure_Code" type="string" />
            <element minOccurs="1" maxOccurs="1" name="quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="consigned_Quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Ship" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Invoice" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="locationCode" type="string" />
          </sequence>
        </complexType>
      </element>
      <element name="Library_UpdateSalesLine_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
      <element name="Library_CreateSalesLine">
        <complexType>
          <sequence>
            <element minOccurs="1" maxOccurs="1" name="saleOrder" type="string" />
            <element minOccurs="1" maxOccurs="1" name="saleLineProductCode" type="string" />
            <element minOccurs="1" maxOccurs="1" name="unit_of_Measure_Code" type="string" />
            <element minOccurs="1" maxOccurs="1" name="quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="consigned_Quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Ship" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Invoice" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="locationCode" type="string" />
          </sequence>
        </complexType>
      </element>
      <element name="Library_CreateSalesLine_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
    </schema>
  </types>
  <message name="CreateSalesLine">
    <part name="parameters" element="tns:CreateSalesLine" />
  </message>
  <message name="CreateSalesLine_Result">
    <part name="parameters" element="tns:CreateSalesLine_Result" />
  </message>
  <message name="CreateSalesOrder">
    <part name="parameters" element="tns:CreateSalesOrder" />
  </message>
  <message name="CreateSalesOrder_Result">
    <part name="parameters" element="tns:CreateSalesOrder_Result" />
  </message>
  <message name="UpdateSalesLine">
    <part name="parameters" element="tns:UpdateSalesLine" />
  </message>
  <message name="UpdateSalesLine_Result">
    <part name="parameters" element="tns:UpdateSalesLine_Result" />
  </message>
  <message name="ValidateOrder">
    <part name="parameters" element="tns:ValidateOrder" />
  </message>
  <message name="ValidateOrder_Result">
    <part name="parameters" element="tns:ValidateOrder_Result" />
  </message>
  <message name="ReleaseSalesReturnOrder">
    <part name="parameters" element="tns:ReleaseSalesReturnOrder" />
  </message>
  <message name="ReleaseSalesReturnOrder_Result">
    <part name="parameters" element="tns:ReleaseSalesReturnOrder_Result" />
  </message>
  <message name="Library_UpdateSalesLine">
    <part name="parameters" element="tns:Library_UpdateSalesLine" />
  </message>
  <message name="Library_UpdateSalesLine_Result">
    <part name="parameters" element="tns:Library_UpdateSalesLine_Result" />
  </message>
  <message name="Library_CreateSalesLine">
    <part name="parameters" element="tns:Library_CreateSalesLine" />
  </message>
  <message name="Library_CreateSalesLine_Result">
    <part name="parameters" element="tns:Library_CreateSalesLine_Result" />
  </message>
  <portType name="SalesOrderWS_Port">
    <operation name="CreateSalesLine">
      <input name="CreateSalesLine" message="tns:CreateSalesLine" />
      <output name="CreateSalesLine_Result" message="tns:CreateSalesLine_Result" />
    </operation>
    <operation name="CreateSalesOrder">
      <input name="CreateSalesOrder" message="tns:CreateSalesOrder" />
      <output name="CreateSalesOrder_Result" message="tns:CreateSalesOrder_Result" />
    </operation>
    <operation name="UpdateSalesLine">
      <input name="UpdateSalesLine" message="tns:UpdateSalesLine" />
      <output name="UpdateSalesLine_Result" message="tns:UpdateSalesLine_Result" />
    </operation>
    <operation name="ValidateOrder">
      <input name="ValidateOrder" message="tns:ValidateOrder" />
      <output name="ValidateOrder_Result" message="tns:ValidateOrder_Result" />
    </operation>
    <operation name="ReleaseSalesReturnOrder">
      <input name="ReleaseSalesReturnOrder" message="tns:ReleaseSalesReturnOrder" />
      <output name="ReleaseSalesReturnOrder_Result" message="tns:ReleaseSalesReturnOrder_Result" />
    </operation>
    <operation name="Library_UpdateSalesLine">
      <input name="Library_UpdateSalesLine" message="tns:Library_UpdateSalesLine" />
      <output name="Library_UpdateSalesLine_Result" message="tns:Library_UpdateSalesLine_Result" />
    </operation>
    <operation name="Library_CreateSalesLine">
      <input name="Library_CreateSalesLine" message="tns:Library_CreateSalesLine" />
      <output name="Library_CreateSalesLine_Result" message="tns:Library_CreateSalesLine_Result" />
    </operation>
  </portType>
  <binding name="SalesOrderWS_Binding" type="tns:SalesOrderWS_Port">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <operation name="CreateSalesLine">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:CreateSalesLine" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="CreateSalesLine">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="CreateSalesLine_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="CreateSalesOrder">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:CreateSalesOrder" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="CreateSalesOrder">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="CreateSalesOrder_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="UpdateSalesLine">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:UpdateSalesLine" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="UpdateSalesLine">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="UpdateSalesLine_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="ValidateOrder">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:ValidateOrder" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="ValidateOrder">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="ValidateOrder_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="ReleaseSalesReturnOrder">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:ReleaseSalesReturnOrder" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="ReleaseSalesReturnOrder">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="ReleaseSalesReturnOrder_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="Library_UpdateSalesLine">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:Library_UpdateSalesLine" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="Library_UpdateSalesLine">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="Library_UpdateSalesLine_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="Library_CreateSalesLine">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:Library_CreateSalesLine" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="Library_CreateSalesLine">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="Library_CreateSalesLine_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
  </binding>
  <service name="SalesOrderWS">
    <port name="SalesOrderWS_Port" binding="tns:SalesOrderWS_Binding">
      <address location="http://lfnav:7047/DynamicsNAV/WS/Linden%20Foods%20LF8/Codeunit/SalesOrderWS" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </port>
  </service>
</definitions>